aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2006-11-04 17:29:37 +0000
committerFabian Groffen <grobian@gentoo.org>2006-11-04 17:29:37 +0000
commitaa0fb08eaaf8b93c279f6add0a5c3a3ef1ff1c14 (patch)
tree21323dd80a48cac34518cc6e690eaec8b64cfeeb /autogen.sh
parentautoconf-2.60 is annoying. Add AC_CONFIG_HEADERS([config.h]) because it (diff)
downloadportage-aa0fb08eaaf8b93c279f6add0a5c3a3ef1ff1c14.tar.gz
portage-aa0fb08eaaf8b93c279f6add0a5c3a3ef1ff1c14.tar.bz2
portage-aa0fb08eaaf8b93c279f6add0a5c3a3ef1ff1c14.zip
Really fix autoconf-2.60 misery:
- don't run autoheader if we don't have config.h (Thanks flameeyes!) - clean up mess with errors and warnings so we actually see what's happening - make sure we abort mission if autoconfing the bunch fails - require autoconf 2.60 now, as we changed the configure script to do it's dirty voodoo based on the output of 2.60, which is different from its predecessor(s) svn path=/main/branches/prefix/; revision=4936
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index f933363cd..137425d81 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,17 @@
#!/bin/sh
-autoheader || { echo "failed autoheader"; exit 1; };
-aclocal-1.8 || { echo "failed aclocal"; exit 1; };
+die() {
+ echo "!!! $*" > /dev/stderr
+ exit -1
+}
+
+#autoheader || { echo "failed autoheader"; exit 1; };
+aclocal-1.8 || die "failed aclocal"
[ "`type -t glibtoolize`" == "file" ] && alias libtoolize=glibtoolize
-libtoolize --automake -c -f || { echo "failed libtoolize"; exit 1; }
-autoconf || { echo "failed autoconf"; exit 1; }
+libtoolize --automake -c -f || die "failed libtoolize"
+autoconf || die "failed autoconf"
touch ChangeLog
-automake-1.8 -a -c || { "echo failed automake"; exit 1; }
-rm config.h.in
+automake-1.8 -a -c || die "failed automake"
if [ -x ./test.sh ] ; then
exec ./test.sh "$@"